var ca1=0
var cb1=0
var cc1=0
var ca2=0
var cb2=0
var cc2=0
var ca3=0
var cb3=0
var cc3=0

var nbrecase=0

var coup=1


function joue(lieu,nbre){

if(coup==1){
            
            if(nbre==1&&ca1==0){ca1=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==2&&cb1==0){cb1=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==3&&cc1==0){cc1=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==4&&ca2==0){ca2=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==5&&cb2==0){cb2=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==6&&cc2==0){cc2=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==7&&ca3==0){ca3=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==8&&cb3==0){cb3=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}
            if(nbre==9&&cc3==0){cc3=1;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/o.jpg";coup=2}


}

else{

            if(nbre==1&&ca1==0){ca1=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==2&&cb1==0){cb1=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==3&&cc1==0){cc1=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==4&&ca2==0){ca2=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==5&&cb2==0){cb2=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==6&&cc2==0){cc2=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==7&&ca3==0){ca3=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==8&&cb3==0){cb3=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}
            if(nbre==9&&cc3==0){cc3=2;nbrecase=nbrecase+1;lieu.src="../../../Images/morpion/x.jpg";coup=1}

}

verif()

}

function verif(){

if(ca1==1&&cb1==1&&cc1==1){gagne(1)}
if(ca1==1&&cb2==1&&cc3==1){gagne(1)}
if(ca1==1&&ca2==1&&ca3==1){gagne(1)}
if(ca2==1&&cb2==1&&cc2==1){gagne(1)}
if(cb1==1&&cb2==1&&cb3==1){gagne(1)}
if(cc1==1&&cc2==1&&cc3==1){gagne(1)}
if(ca3==1&&cb3==1&&cc3==1){gagne(1)}
if(cc1==1&&cb2==1&&ca3==1){gagne(1)}

if(ca1==2&&cb1==2&&cc1==2){gagne(2)}
if(ca1==2&&cb2==2&&cc3==2){gagne(2)}
if(ca1==2&&ca2==2&&ca3==2){gagne(2)}
if(ca2==2&&cb2==2&&cc2==2){gagne(2)}
if(cb1==2&&cb2==2&&cb3==2){gagne(2)}
if(cc1==2&&cc2==2&&cc3==2){gagne(2)}
if(ca3==2&&cb3==2&&cc3==2){gagne(2)}
if(cc1==2&&cb2==2&&ca3==2){gagne(2)}

if(nbrecase==9)
{if (confirm("Match Nul\nVoulez-vous rejouer ?")) {location.reload()}
                    else {window.location="../../javascript.htm"}
}

}

function gagne(gagn){

if (confirm("Le Joueur "+gagn+" a gagné !\nVoulez-vous rejouer ?")) {location.reload()}
                    else {window.location="../../javascript.htm"}


}
